- Qt 6.4
- Qt 3D
- C++ Classes
- Qt3DExtras
- QExtrudedTextMesh
- Qt 6.4.2 Reference Documentation

# QExtrudedTextMesh Class

class Qt3DExtras::QExtrudedTextMesh

A 3D extruded Text mesh. More...

Header: | #include <Qt3DExtras/QExtrudedTextMesh>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dextras) target_link_libraries(mytarget PRIVATE Qt6::3dextras)
qmake: | QT += 3dextras
Instantiated By: | ExtrudedTextMesh
Inherits: | Qt3DRender::QGeometryRenderer

- List of all members, including inherited members

## Properties

- depth : float
- font : QFont
- text : QString

## Public Functions

| QExtrudedTextMesh(Qt3DCore::QNode *parent = nullptr)
float | depth() const
QFont | font() const
QString | text() const

## Public Slots

void | setDepth(float depth)
void | setFont(const QFont &font)
void | setText(const QString &text)

## Signals

void | depthChanged(float depth)
void | fontChanged(const QFont &font)
void | textChanged(const QString &text)

## Detailed Description

The origin of the mesh is the rear left end of the text's baseline.

## Property Documentation

### depth : float

Holds the extrusion depth of the text.

Access functions:

float | depth() const
void | setDepth(float depth)

Notifier signal:

void | depthChanged(float depth)

### font : QFont

Holds the font of the text.

The mesh geometry is normalized by the font's pointSize, so a larger pointSize will result in smoother, rather than larger, text. pixelSize should not be used.

Access functions:

QFont | font() const
void | setFont(const QFont &font)

Notifier signal:

void | fontChanged(const QFont &font)

### text : QString

Holds the text used for the mesh.

Access functions:

QString | text() const
void | setText(const QString &text)

Notifier signal:

void | textChanged(const QString &text)

## Member Function Documentation

### QExtrudedTextMesh::QExtrudedTextMesh(Qt3DCore::QNode *parent = nullptr)

Constructs a new QText3DMesh with parent.